Bug 1487976 - [abrt] gnome-terminal: gtk_css_node_invalidate_frame_clock(): gnome-terminal-server killed by signal 11
Summary: [abrt] gnome-terminal: gtk_css_node_invalidate_frame_clock(): gnome-terminal-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:662d81e72505b25ac7d5c10ee0c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-04 01:14 UTC by Rob Riggs
Modified: 2018-05-29 11:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:25:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.73 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: cgroup (355 bytes, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: core_backtrace (10.83 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: dso_list (8.98 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: environ (1.50 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: exploitable (82 bytes, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: maps (46.59 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: open_fds (1.26 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-09-04 01:14 UTC, Rob Riggs
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-09-04 01:15 UTC, Rob Riggs
no flags Details

Description Rob Riggs 2017-09-04 01:14:34 UTC
Description of problem:
Writing/Testing Python Gobject code.  Running it from the terminal apparently causes the terminal to crash.  This
has happened numerous (8-10) times today.  I have to say that until today I don't think I've ever seen a terminal
segfault before.  The code I am testing has to be run as root since it accesses Bluetooth LE devices and Linux
treats interpreted languages as second-class citizens when it comes to setting capabilities on executables.

Version-Release number of selected component:
gnome-terminal-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gtk_css_node_invalidate_frame_clock
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=5041cb5cbb3b47a1b53fa7f3c6548362;i=d804;b=8fc05db79ff541bbaa0b92549513fbc4;m=149991fd65;t=55852b824ad5e;x=dc4d551d25f1a0d8
kernel:         4.12.5-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_css_node_invalidate_frame_clock at gtkcssnode.c:1343
 #1 gtk_css_widget_node_queue_callback at gtkcsswidgetnode.c:64
 #2 gtk_widget_on_frame_clock_update at gtkwidget.c:5229
 #7 _gdk_frame_clock_emit_update at gdkframeclock.c:628
 #8 gdk_frame_clock_paint_idle at gdkframeclockidle.c:380
 #14 g_main_context_iteration at gmain.c:4033
 #15 g_application_run at gapplication.c:2381

Potential duplicate: bug 1367226

Comment 1 Rob Riggs 2017-09-04 01:14:45 UTC
Created attachment 1321640 [details]
File: backtrace

Comment 2 Rob Riggs 2017-09-04 01:14:46 UTC
Created attachment 1321641 [details]
File: cgroup

Comment 3 Rob Riggs 2017-09-04 01:14:48 UTC
Created attachment 1321642 [details]
File: core_backtrace

Comment 4 Rob Riggs 2017-09-04 01:14:49 UTC
Created attachment 1321643 [details]
File: cpuinfo

Comment 5 Rob Riggs 2017-09-04 01:14:50 UTC
Created attachment 1321644 [details]
File: dso_list

Comment 6 Rob Riggs 2017-09-04 01:14:52 UTC
Created attachment 1321645 [details]
File: environ

Comment 7 Rob Riggs 2017-09-04 01:14:53 UTC
Created attachment 1321646 [details]
File: exploitable

Comment 8 Rob Riggs 2017-09-04 01:14:54 UTC
Created attachment 1321647 [details]
File: limits

Comment 9 Rob Riggs 2017-09-04 01:14:56 UTC
Created attachment 1321648 [details]
File: maps

Comment 10 Rob Riggs 2017-09-04 01:14:57 UTC
Created attachment 1321649 [details]
File: open_fds

Comment 11 Rob Riggs 2017-09-04 01:14:59 UTC
Created attachment 1321650 [details]
File: proc_pid_status

Comment 12 Rob Riggs 2017-09-04 01:15:00 UTC
Created attachment 1321651 [details]
File: var_log_messages

Comment 13 Duncan Grisby 2017-10-06 12:11:33 UTC
Similar problem has been detected:

I ran emacs from a gnome terminal. When I closed the emacs window, it killed all the gnome terminal windows I had open.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gtk_css_node_invalidate_frame_clock
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=371906939d0245afb2429a4bb7251125;i=2501b7;b=127dc0f79a4c4c228625e700ed0eb585;m=283b06276;t=55adf9bae995f;x=9bf12334ffb9c35e
kernel:         4.13.4-200.fc26.x86_64
package:        gnome-terminal-3.24.2-1.fc26
reason:         gnome-terminal-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 davduaray 2017-10-20 09:40:58 UTC
Similar problem has been detected:


I opened a file and closed it

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gtk_css_node_invalidate_frame_clock
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=4bf180a16dc545a89c4c2331f48d9513;i=abbd;b=8d78c3328ba24976a86f09836e27b0a4;m=3cd3a986d;t=55bf72cb55ffc;x=a4ee7f0d387d6f
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-terminal-3.24.2-1.fc26
reason:         gnome-terminal-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2018-05-03 08:00:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:25:40 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.